GNU Trove

# Serialized Form

Package gnu.trove

Class gnu.trove.TByteArrayList extends java.lang.Object implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TByteByteHashMap extends TByteHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TByteDoubleHashMap extends TByteHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TByteFloatHashMap extends TByteHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TByteHash extends TPrimitiveHash implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TByteHashSet extends TByteHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TByteIntHashMap extends TByteHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TByteLongHashMap extends TByteHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TByteObjectHashMap extends TByteHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TByteShortHashMap extends TByteHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TDoubleArrayList extends java.lang.Object implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TDoubleByteHashMap extends TDoubleHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TDoubleDoubleHashMap extends TDoubleHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TDoubleFloatHashMap extends TDoubleHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TDoubleHash extends TPrimitiveHash implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TDoubleHashSet extends TDoubleHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TDoubleIntHashMap extends TDoubleHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TDoubleLongHashMap extends TDoubleHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TDoubleObjectHashMap extends TDoubleHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TDoubleShortHashMap extends TDoubleHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TFloatArrayList extends java.lang.Object implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TFloatByteHashMap extends TFloatHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TFloatDoubleHashMap extends TFloatHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TFloatFloatHashMap extends TFloatHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TFloatHash extends TPrimitiveHash implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TFloatHashSet extends TFloatHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TFloatIntHashMap extends TFloatHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TFloatLongHashMap extends TFloatHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TFloatObjectHashMap extends TFloatHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TFloatShortHashMap extends TFloatHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.THash extends java.lang.Object implements Serializable

serialVersionUID: -1792948471915530295L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.THashMap extends TObjectHash<K> implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.THashSet extends TObjectHash<E> implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TIntArrayList extends java.lang.Object implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TIntByteHashMap extends TIntHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TIntDoubleHashMap extends TIntHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TIntFloatHashMap extends TIntHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TIntHash extends TPrimitiveHash implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TIntHashSet extends TIntHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TIntIntHashMap extends TIntHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TIntLongHashMap extends TIntHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TIntObjectHashMap extends TIntHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TIntShortHashMap extends TIntHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TLinkableAdapter extends java.lang.Object implements Serializable

Serialized Fields

### _previous

    TLinkable _previous

### _next

    TLinkable _next

Class gnu.trove.TLinkedList extends java.util.AbstractSequentialList<T extends TLinkable> implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TLongArrayList extends java.lang.Object implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TLongByteHashMap extends TLongHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TLongDoubleHashMap extends TLongHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TLongFloatHashMap extends TLongHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TLongHash extends TPrimitiveHash implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TLongHashSet extends TLongHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TLongIntHashMap extends TLongHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TLongLongHashMap extends TLongHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TLongObjectHashMap extends TLongHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TLongShortHashMap extends TLongHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TObjectByteHashMap extends TObjectHash<K> implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TObjectDoubleHashMap extends TObjectHash<K> implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TObjectFloatHashMap extends TObjectHash<K> implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TObjectHash extends THash implements Serializable

serialVersionUID: -3461112548087185871L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TObjectIdentityHashingStrategy extends java.lang.Object implements Serializable

Class gnu.trove.TObjectIntHashMap extends TObjectHash<K> implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TObjectLongHashMap extends TObjectHash<K> implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TObjectShortHashMap extends TObjectHash<K> implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TPrimitiveHash extends THash implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TShortArrayList extends java.lang.Object implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TShortByteHashMap extends TShortHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TShortDoubleHashMap extends TShortHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TShortFloatHashMap extends TShortHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TShortHash extends TPrimitiveHash implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TShortHashSet extends TShortHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TShortIntHashMap extends TShortHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TShortLongHashMap extends TShortHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TShortObjectHashMap extends TShortHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.TShortShortHashMap extends TShortHash implements Serializable

serialVersionUID: 1L

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Package gnu.trove.decorator

Class gnu.trove.decorator.TByteByteHashMapDecorator extends java.util.AbstractMap<java.lang.Byte,java.lang.Byte> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TByteDoubleHashMapDecorator extends java.util.AbstractMap<java.lang.Byte,java.lang.Double> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TByteFloatHashMapDecorator extends java.util.AbstractMap<java.lang.Byte,java.lang.Float> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TByteHashSetDecorator extends java.util.AbstractSet<java.lang.Byte> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TByteIntHashMapDecorator extends java.util.AbstractMap<java.lang.Byte,java.lang.Integer> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TByteLongHashMapDecorator extends java.util.AbstractMap<java.lang.Byte,java.lang.Long> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TByteObjectHashMapDecorator extends java.util.AbstractMap<java.lang.Byte,V> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TByteShortHashMapDecorator extends java.util.AbstractMap<java.lang.Byte,java.lang.Short> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TDoubleByteHashMapDecorator extends java.util.AbstractMap<java.lang.Double,java.lang.Byte> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TDoubleDoubleHashMapDecorator extends java.util.AbstractMap<java.lang.Double,java.lang.Double> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TDoubleFloatHashMapDecorator extends java.util.AbstractMap<java.lang.Double,java.lang.Float> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TDoubleHashSetDecorator extends java.util.AbstractSet<java.lang.Double> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TDoubleIntHashMapDecorator extends java.util.AbstractMap<java.lang.Double,java.lang.Integer> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TDoubleLongHashMapDecorator extends java.util.AbstractMap<java.lang.Double,java.lang.Long> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TDoubleObjectHashMapDecorator extends java.util.AbstractMap<java.lang.Double,V> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TDoubleShortHashMapDecorator extends java.util.AbstractMap<java.lang.Double,java.lang.Short> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TFloatByteHashMapDecorator extends java.util.AbstractMap<java.lang.Float,java.lang.Byte> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TFloatDoubleHashMapDecorator extends java.util.AbstractMap<java.lang.Float,java.lang.Double> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TFloatFloatHashMapDecorator extends java.util.AbstractMap<java.lang.Float,java.lang.Float> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TFloatHashSetDecorator extends java.util.AbstractSet<java.lang.Float> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TFloatIntHashMapDecorator extends java.util.AbstractMap<java.lang.Float,java.lang.Integer> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TFloatLongHashMapDecorator extends java.util.AbstractMap<java.lang.Float,java.lang.Long> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TFloatObjectHashMapDecorator extends java.util.AbstractMap<java.lang.Float,V> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TFloatShortHashMapDecorator extends java.util.AbstractMap<java.lang.Float,java.lang.Short> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TIntByteHashMapDecorator extends java.util.AbstractMap<java.lang.Integer,java.lang.Byte> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TIntDoubleHashMapDecorator extends java.util.AbstractMap<java.lang.Integer,java.lang.Double> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TIntFloatHashMapDecorator extends java.util.AbstractMap<java.lang.Integer,java.lang.Float> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TIntHashSetDecorator extends java.util.AbstractSet<java.lang.Integer> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TIntIntHashMapDecorator extends java.util.AbstractMap<java.lang.Integer,java.lang.Integer> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TIntLongHashMapDecorator extends java.util.AbstractMap<java.lang.Integer,java.lang.Long> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TIntObjectHashMapDecorator extends java.util.AbstractMap<java.lang.Integer,V> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TIntShortHashMapDecorator extends java.util.AbstractMap<java.lang.Integer,java.lang.Short> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TLongByteHashMapDecorator extends java.util.AbstractMap<java.lang.Long,java.lang.Byte> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TLongDoubleHashMapDecorator extends java.util.AbstractMap<java.lang.Long,java.lang.Double> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TLongFloatHashMapDecorator extends java.util.AbstractMap<java.lang.Long,java.lang.Float> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TLongHashSetDecorator extends java.util.AbstractSet<java.lang.Long> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TLongIntHashMapDecorator extends java.util.AbstractMap<java.lang.Long,java.lang.Integer> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TLongLongHashMapDecorator extends java.util.AbstractMap<java.lang.Long,java.lang.Long> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TLongObjectHashMapDecorator extends java.util.AbstractMap<java.lang.Long,V> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TLongShortHashMapDecorator extends java.util.AbstractMap<java.lang.Long,java.lang.Short> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TObjectByteHashMapDecorator extends java.util.AbstractMap<V,java.lang.Byte> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TObjectDoubleHashMapDecorator extends java.util.AbstractMap<V,java.lang.Double> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TObjectFloatHashMapDecorator extends java.util.AbstractMap<V,java.lang.Float> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TObjectIntHashMapDecorator extends java.util.AbstractMap<V,java.lang.Integer> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TObjectLongHashMapDecorator extends java.util.AbstractMap<V,java.lang.Long> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TObjectShortHashMapDecorator extends java.util.AbstractMap<V,java.lang.Short> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TShortByteHashMapDecorator extends java.util.AbstractMap<java.lang.Short,java.lang.Byte> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TShortDoubleHashMapDecorator extends java.util.AbstractMap<java.lang.Short,java.lang.Double> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TShortFloatHashMapDecorator extends java.util.AbstractMap<java.lang.Short,java.lang.Float> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TShortHashSetDecorator extends java.util.AbstractSet<java.lang.Short> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TShortIntHashMapDecorator extends java.util.AbstractMap<java.lang.Short,java.lang.Integer> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TShortLongHashMapDecorator extends java.util.AbstractMap<java.lang.Short,java.lang.Long> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TShortObjectHashMapDecorator extends java.util.AbstractMap<java.lang.Short,V> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Class gnu.trove.decorator.TShortShortHashMapDecorator extends java.util.AbstractMap<java.lang.Short,java.lang.Short> implements Serializable

Serialization Methods

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

GNU Trove

GNU Trove is copyright © 2001-2009 Eric D. Friedman. All Rights Reserved.